## XfwWindowListMenu

XfwWindowListMenu — a GtkMenu subclass that lists all windows

## Stability Level

Unstable, unless otherwise indicated

## Functions

GtkWidget * | xfw_window_list_menu_new ()

## Properties

int | minimized-icon-saturation | Read / Write
XfwScreen * | screen | Read / Write / Construct Only
gboolean | show-all-workspaces | Read / Write
gboolean | show-icons | Read / Write
gboolean | show-sticky-windows-once | Read / Write
gboolean | show-urgent-windows-section | Read / Write
gboolean | show-workspace-actions | Read / Write
gboolean | show-workspace-names | Read / Write
gboolean | show-workspace-submenus | Read / Write
PangoEllipsizeMode | window-title-ellipsize-mode | Read / Write
int | window-title-max-width-chars | Read / Write

## Types and Values

| XfwWindowListMenu

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkMenuShell
                        ╰── GtkMenu
                            ╰── XfwWindowListMenu

## Implemented Interfaces

XfwWindowListMenu implements AtkImplementorIface and GtkBuildable.

## Includes

    #include <libxfce4windowingui/libxfce4windowingui.h>

## Description

XfwWindowListMenu is a GtkMenu that lists all windows present on the desktop, categorized by workspace. There are also various options that control presentation; see the properties available on the object.

## Functions

### xfw_window_list_menu_new ()

    GtkWidget *
    xfw_window_list_menu_new (XfwScreen *screen);

Creates a new XfwWindowListMenu, populating it from `screen` .

#### Parameters

screen | an XfwScreen. |

#### Returns

A GtkMenu subclass as a GtkWidget, with a floating reference.

[not nullable][transfer floating]

## Types and Values

### XfwWindowListMenu

    typedef struct _XfwWindowListMenu XfwWindowListMenu;

## Property Details

### The `“minimized-icon-saturation”` property

      “minimized-icon-saturation” int

The saturation of icons for minimized windows. The value should be between 0 and 100. Lower values will make the icon look more like a greyscale image.

Owner: XfwWindowListMenu

Flags: Read / Write

Allowed values: [0,100]

Default value: 50

### The `“screen”` property

      “screen”                   XfwScreen *

The XfwScreen to use when populating the menu.

Owner: XfwWindowListMenu

Flags: Read / Write / Construct Only

### The `“show-all-workspaces”` property

      “show-all-workspaces”      gboolean

Whether or not to show all workspaces in the list, or just the current workspace.

Owner: XfwWindowListMenu

Flags: Read / Write

Default value: TRUE

### The `“show-icons”` property

      “show-icons”               gboolean

Whether or not to show icons in the menu.

Owner: XfwWindowListMenu

Flags: Read / Write

Default value: TRUE

### The `“show-sticky-windows-once”` property

      “show-sticky-windows-once” gboolean

Whether or not sticky/pinned windows should be shown once (on the active workspace), or in each workspace list.

Owner: XfwWindowListMenu

Flags: Read / Write

Default value: FALSE

### The `“show-urgent-windows-section”` property

      “show-urgent-windows-section” gboolean

Whether or not to show an extra section that lists urgent windows on other workspaces.

Owner: XfwWindowListMenu

Flags: Read / Write

Default value: FALSE

### The `“show-workspace-actions”` property

      “show-workspace-actions”   gboolean

Whether or not to show a section in the menu with items to add and remove workspaces.

Owner: XfwWindowListMenu

Flags: Read / Write

Default value: TRUE

### The `“show-workspace-names”` property

      “show-workspace-names”     gboolean

Whether or not to show a heading with the workspace name before the list of windows on that workspace.

Owner: XfwWindowListMenu

Flags: Read / Write

Default value: TRUE

### The `“show-workspace-submenus”` property

      “show-workspace-submenus”  gboolean

Whether or not the lists of windows should be in submenus for each workspace.

Owner: XfwWindowListMenu

Flags: Read / Write

Default value: FALSE

### The `“window-title-ellipsize-mode”` property

      “window-title-ellipsize-mode” PangoEllipsizeMode

The PangoEllipsizeMode to use when ellipsizing window titles.

Owner: XfwWindowListMenu

Flags: Read / Write

Default value: PANGO_ELLIPSIZE_MIDDLE

### The `“window-title-max-width-chars”` property

      “window-title-max-width-chars” int

The maximum width (in characters) of window titles to display before ellipsizing.

Owner: XfwWindowListMenu

Flags: Read / Write

Allowed values: >= -1

Default value: 24